{
  config,
  lib,
  pkgs,
  ...
}:

{
  imports = [ ];

  options.me = {
    nvme.enable = lib.mkOption {
      type = lib.types.bool;
      default = false;
      example = true;
      description = "Whether we want to install nvme.";
    };
  };

  config = lib.mkIf config.me.nvme.enable {
    environment.systemPackages = with pkgs; [
      nvme-cli
    ];
  };
}
